/*
 *  nvj - NattoView/Java 
 *  (c) 2005-2007 Hidekazu Shiozawa
 *  http://vilab.org
 */

import java.io.*;
import java.util.*;
import java.util.regex.*;

public class NvSettings {

    static String webStart = "http://vilab.org";
    // static Pattern webBlocks = 
    
    static String mixiStart, mixiEmail, mixiPassword;

    static String wikipediaStart = "ʐw";

    static Pattern badTitle = Pattern.compile(
    "\\A(Category:.*|Portal:.*|Wikipedia:.*|:.*)|((|吳|a||IO)?\\d+N?)|(\\d+\\d+)\\Z");
    static Pattern wikipediaBlocks[] = { badTitle };
    
    static String tmpDir;
    static String userAgent = "nvj/3.0alpha";
    
    static public void loadProperties() {
        try {
            tmpDir = System.getProperty("java.io.tmpdir");
            String propertyFile = System.getProperty("user.home") +
                System.getProperty("file.separator") + "nvj.xml";
            Properties p = new Properties();
            FileInputStream fis = new FileInputStream(propertyFile);
            p.loadFromXML(fis);
            fis.close();

            webStart = p.getProperty("web.start");

            mixiStart = p.getProperty("mixi.start");
            mixiEmail = p.getProperty("mixi.email");
            mixiPassword = p.getProperty("mixi.password");

            wikipediaStart = p.getProperty("wikipedia.start");
            String words[] = p.getProperty("wikipedia.block").split("\n");
            wikipediaBlocks = new Pattern[words.length];
            for (int i = 0; i < words.length; i++) {
                Pattern pattern = Pattern.compile(words[i]);
                wikipediaBlocks[i] = pattern;
                System.out.println(words[i]);
            }
            
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
